#ifndef XGFXLIGHTDEF_H
#define XGFXLIGHTDEF_H

#include "xasset.h"
#include "xgfxlightimage.h"
#include "xstring.h"

struct XGfxLightDef : public XAsset
{
public:
    XGfxLightDef();
    ~XGfxLightDef();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    XString* mName;
    XGfxLightImage* mAttenuation;
    int mLmapLookupStart;
};

#endif // XGFXLIGHTDEF_H
